/* 全体のフォントと余白 */
body {
    font-family: "Yu Gothic", sans-serif;
    text-align: center;
    background: #f7d1ff;
    margin: 20px;
}

.header-row {
    display:flex;
    justify-content:center;
    align-items:center;
    width:100%;
}
#clock {
    font-size
}

/* タイトル */
h1 {
    margin-bottom: 10px;
    font-size: 28px;
}

.focus {
    background-color:rgb(255, 255, 172);
    width:400px;
    height:50px;
    font-size:24px;
    font-weight:bold;
    text-align:center;
    margin:0 auto 10px auto;
    display:block;
    border:3px solid #01f822;
}

/* 五十音表を中央に配置 */
.center-wrapper {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

/* テーブルの基本設定 */
#initial-table {
    border-collapse: collapse;
}

/* 各マスのサイズを統一（空マスも同じサイズ） */
#initial-table td {
    width: 50px;
    height: 30px;
    border: 3px solid #ddd;
    text-align: center;
    vertical-align: middle;
    padding: 0;
}

/* ボタンの見た目 */
#initial-table button {
    width: 100%;
    height: 100%;
    border: none;
    background: #cffcff;
    font-size: 26px;
    font-weight:bold;
    cursor: pointer;
    transition: 0.15s;
}

/* ホバー時の反応 */
#initial-table button:hover {
    background: #b6fdaf;
}
/* ホバー時の反応 */
#initial-table td {
    background: #ffffff;
}

/* 結果エリア（3列グリッド） */
#result-area {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

.result-button {
    width: 100%;          /* ← グリッド幅に合わせる */
    height: 70px;
    padding: 10px;
    background: #fff;
    border: 1px solid #ccc;
    cursor: pointer;
    font-size: 16px;
    transition: 0.15s;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
}


.result-button:hover {
    background: #b6fdaf;
}

.memo-text {
    font-size: 18px;
    font-weight: bold;
}

.question-text {
    font-size: 12px;
    color: #666;
    margin-top: 4px;
    line-height: 1.2;
}
